Name:           python-spec-utils
Version:        0.32.16
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python package to consume SPEC SA and third-party apps

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.com/spec-sa-ar/spec-utils
Source:         %{pypi_source spec_utils}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'spec-utils' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-spec-utils
Summary:        %{summary}

%description -n python3-spec-utils %_description


%prep
%autosetup -p1 -n spec_utils-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-spec-utils -f %{pyproject_files}


%changelog
%autochangelog